Bug 1569625 - Create VM snapshot releases VM more than once
Summary: Create VM snapshot releases VM more than once
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Shmuel Melamud
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:30 UTC by Ravi Nori
Modified: 2020-06-26 16:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2020-04-01 14:47:11 UTC
oVirt Team: Virt
rbarry: ovirt-4.5?


Attachments (Terms of Use)

Description Ravi Nori 2018-04-19 15:30:20 UTC
Description of problem: Create snanpshot releases Vm lock twice


Version-Release number of selected component (if applicable): 4.3


How reproducible:


Steps to Reproduce:
1. Create a VM snapshot from Webadmin

Actual results:

A warning message in logs indicating that the VM lock is being released twice

2018-04-19 11:29:05,405-04 WARN  [org.ovirt.engine.core.bll.lock.InMemoryLockManager] (EE-ManagedThreadFactory-engine-Thread-323) [50b50be7-e35e-415d-8c82-3cddce48a87b] Trying to release exclusive lock which does not exist, lock key: 'd69cf8da-f93b-48e7-a178-deb991a45909VM'

Expected results:

No warning message about lock being released twice

Comment 1 Yaniv Kaul 2018-04-26 10:00:09 UTC
severity?

Comment 2 Martin Perina 2018-04-26 11:44:53 UTC
(In reply to Yaniv Kaul from comment #1)
> severity?

Forwarding to Michal, infra don't know the flow that well to asses the severity properly. We just know that lock was released prematurely in child command and within time when child command released the lock and parent command finishes other flow can obtain the lock and perform actions dangerous to original command

Comment 3 Michal Skrivanek 2018-05-07 13:49:31 UTC
no idea. If OST is green then probably medium severity at most

Comment 4 Ryan Barry 2019-01-21 14:54:03 UTC
Re-targeting to 4.3.1 since it is missing a patch, an acked blocker flag, or both

Comment 5 Michal Skrivanek 2020-03-18 15:43:51 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 6 Michal Skrivanek 2020-03-18 15:47:03 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 7 Michal Skrivanek 2020-04-01 14:47:11 UTC
Closing old bug. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.